Name: sugar-imageviewer-activity
Version: 65
Release: %mkrel 4
Summary: Image viewer activity for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/fructose/ImageViewer/ImageViewer-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: sugar-toolkit-gtk3
Requires: python3-gobject3
Requires: sugar-toolkit-gtk3

%description
Image viewer activity for Sugar.

%prep
%setup -q -n ImageViewer-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}/%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.ImageViewerActivity

%files -f org.laptop.ImageViewerActivity.lang
%doc AUTHORS NEWS
%license COPYING
%{_datadir}/applications/org.laptop.ImageViewerActivity.activity.desktop
%{_datadir}/sugar/activities/*


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 65-4.mga9
+ Revision: 1836851
- Mageia 9 Mass Rebuild

* Sat Dec 12 2020 wally <wally> 65-3.mga8
+ Revision: 1655848
- drop buildroot definition from .desktop files
- drop unneeded files
+ danf <danf>
- Switch URLs from http: to https:
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 65-1.mga8
+ Revision: 1456384
- new version 65
- switch to python3

* Wed Mar 13 2019 wally <wally> 64-1.mga7
+ Revision: 1375696
- new version 64

* Wed Sep 19 2018 umeabot <umeabot> 62-3.mga7
+ Revision: 1276348
- Mageia 7 Mass Rebuild

* Wed Jun 07 2017 akien <akien> 62-2.mga6
+ Revision: 1107207
- Add desktop file

* Mon Jan 18 2016 zezinho <zezinho> 62-1.mga6
+ Revision: 925332
- new version

* Wed Oct 15 2014 umeabot <umeabot> 59-3.mga5
+ Revision: 742963
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 59-2.mga5
+ Revision: 689592
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed May 28 2014 zezinho <zezinho> 59-1.mga5
+ Revision: 627340
- new version

* Sat Nov 02 2013 fwang <fwang> 54-4.mga4
+ Revision: 548996
- update requires

* Fri Oct 18 2013 umeabot <umeabot> 54-3.mga4
+ Revision: 519319
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 54-2.mga3
+ Revision: 383650
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 54-1.mga3
+ Revision: 326182
- fix build requires
- new version

* Wed Nov 21 2012 zezinho <zezinho> 20-1.mga3
+ Revision: 320126
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 17-1.mga2
+ Revision: 169515
- new version
+ ennael <ennael>
- imported package sugar-imageviewer-activity


* Mon Oct 12 2009 Aleksey Lim <alsroot@mandriva.org> 14-1mdv2010.0
+ Revision: 456976
- Push 14

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 13-1mdv2010.0
+ Revision: 449004
- Update to 13

* Sat Sep 19 2009 Aleksey Lim <alsroot@mandriva.org> 12-1mdv2010.0
+ Revision: 444544
- Update to 12

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 10-1mdv2010.0
+ Revision: 414901
- Sucrose 0.85.2
- Sucrose 0.84.2 release

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 6-1mdv2009.1
+ Revision: 348318
- Sucrose 0.84.0 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 5-1mdv2009.1
+ Revision: 328406
- initial commit

